%global gem_name mail

Name: rubygem-%{gem_name}
Version: 2.7.1
Release:    1%{?dist}
Summary: Mail provides a nice Ruby DSL for making, sending and reading emails
License: MIT
URL: https://github.com/mikel/mail
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1: %{gem_name}-%{version}-specs.txz
Patch0: rubygem-mail-2.7.1-Add-Mail-YAML-load-compatible-with-Psych-3.x-and-Psych-4.x.patch
Patch1: rubygem-mail-2.7.1-Add-Mail-YAML-load-compatible-with-Psych-3.x-and-Psych-4.x-test.patch
Requires: rubygem(net-smtp)
BuildRequires: rubygem(net-smtp)
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildRequires: rubygem(mini_mime)
BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
A really Ruby Mail handler.

%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version} -b1

%patch0 -p1

pushd %{_builddir}
%patch1 -p1
popd

%gemspec_add_file 'lib/mail/yaml.rb'

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
ln -s %{_builddir}/spec .
rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.1-1
- initial build
